function y=mom_prop(u);

global mom_max_bobine cpl_max_roue

% Cette fonction rcupre un moment magntique de type LAURENS
%	u(1:3)=mx my mz
%	et
%	Un couple roue uniaxial Cr=u(4)
% Elle les rduit proportionnellement suivant les valeurs maximales fixes
%	mom_max_bobine
%	cpl_max_roue

mxx=u(1);
myy=u(2);
mzz=u(3);
CR=u(4);

coeff=max([1 abs(mxx/mom_max_bobine) abs(myy/mom_max_bobine) abs(mzz/mom_max_bobine) abs(CR/cpl_max_roue)]);

Mxx=mxx/coeff;

Myy=myy/coeff;

Mzz=mzz/coeff;

Croue=CR/coeff;

% Sortie du rsultat

y=[Mxx Myy Mzz Croue]';  % Si Croue = 0, seuls les moments magntiques sont plafonns

end